<template>
	<component :is="href ? 'a' : 'button'" :href="href" class="button" :class="{[`button--size-${size}`]: 1, 'button--loading': loading_}">
		<emoji :emoji="emoji" v-if="emoji" />	{{ text }}
	</component>
</template>

<script>
export default {
	props: {
		href: {},
		text: {},
		emoji: {},
		size: {
			default: 'md'
		},
		loading: {
			default: false
		}
	},

	data() {
		return {
			loading_: this.loading
		}
	},

	watch: {
		loading(v) {
			this.loading_ = v;
		}
	},

	mounted() {
		// if (this.href[0] == '#') {
		// 	document
		// }
	}
}
</script>
